###################################################
### chunk number 2: 
###################################################
library(emulator)


###################################################
### chunk number 3: datagen_design_matrix
###################################################
n <- 30
val.vig <- latin.hypercube(n,2)


###################################################
### chunk number 4: 
###################################################
head(val.vig)
nrow(val.vig)


###################################################
### chunk number 5: 
###################################################
basis.vig <- 
function (x) 
{
        out <- c(1, x , x[1]*x[2])
        names(out) <- c("const", LETTERS[1:2], "interaction")
        return(out)
}


###################################################
### chunk number 6: datagen
###################################################
REAL.BETA <- 1:4
REAL.SCALES <- c(3,6)
REAL.SIGMASQUARED <- 0.3

A <- corr.matrix(xold=val.vig,scales=REAL.SCALES)

z.vig  <- 
as.vector(rmvnorm(n=1,mean=crossprod(REAL.BETA,apply(val.vig,1,basis.vig)),sigma=A*REAL.SIGMASQUARED))


###################################################
### chunk number 7: 
###################################################
head(z.vig)
summary(z.vig)


###################################################
### chunk number 8: 
###################################################
os <- optimal.scales(val=val.vig, scales.start=c(10,10), d=z.vig, func=basis.vig)
os


###################################################
### chunk number 9: 
###################################################
A.os <- corr.matrix(xold=val.vig,scales=REAL.SCALES)
Ainv.os <- solve(A)


###################################################
### chunk number 10: 
###################################################
betahat.fun(xold=val.vig, d=z.vig, Ainv=solve(A),func=basis.vig)


###################################################
### chunk number 11: 
###################################################
interpolant(x=c(0.5,0.5), d=z.vig, Ainv=Ainv.os, scales=os,
xold=val.vig, func=basis.vig, give.full.list=TRUE)


###################################################
### chunk number 12:  eval=FALSE
###################################################
## REAL.BETA <- 1:4
## REAL.SCALES <- c(3,6)
## REAL.SIGMASQUARED <- 0.3
## 
## A <- corr.matrix(xold=val.vig,scales=REAL.SCALES)
## 
## z.vig  <- 
## as.vector(rmvnorm(n=1,mean=crossprod(REAL.BETA,apply(val.vig,1,basis.vig)),sigma=A*REAL.SIGMASQUARED))


